
#
# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#
# $Id: AppConfigUtils.pm,v 1.2 2013/07/23 08:50:09 stripath Exp $
#

package AppConfigUtils;

use strict;
use warnings;

use Constants;
use Utils;
use PlatUtils;

use constant CONF_FILE => "supportedApp.conf";


#-------------
# Subroutines
#-------------

sub getSupportedAppXML
{
	my $sMyName = ( caller 0 )[3];
	my $logStr = "Subroutine $sMyName called";
	Utils::vxlog("INFO", $logStr);

	my $ret = CONST_SUCCESS;
	my $xml = "";

	my $confFile = PlatUtils::getHVConfDir() . CONF_FILE;
	no strict;
	do $confFile || die "can not read conf file [$confFile]";

	$xml = "<SupportedApps>";
	foreach my $app ( keys %AppConfig ) {
		$xml .= "<Application>";
		$xml .= "<Name>$app</Name>";
		$xml .= "<DisplayName>" . $AppConfig { $app } { DisplayName } ."</DisplayName>";
		$xml .= "<Desc>" . $AppConfig { $app } { Desc } . "</Desc>";
		$xml .= "</Application>";
	}
	$xml .= "</SupportedApps>";

	use strict;


END:
	return ($ret, $xml)
}


1;
