
#
# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#
# $Id: ConfUtils.pm,v 1.1 2012/04/11 05:23:54 rjog Exp $
#

package ConfUtils;

use base qw(Exporter);
our @EXPORT = qw( 
	read_guestConfig
	dump_guestConfig
	);

use strict;
use warnings;

use PlatUtils;
use Constants;
use Utils;


sub get_guestConfigFilePath
{
	my $sMyName = ( caller 0 )[3];
	#---------
	# Announce
	#---------
	my $logStr = "Subroutine $sMyName called";
	vxlog("INFO", $logStr);

	my $guestconfigfile = "";
	if ( $^O =~ /win/i ) {
		$guestconfigfile = PlatUtils::getVCSHome() . "\\portal\\world\\";
	} else {
		$guestconfigfile = PlatUtils::getVCSHome() . "/portal/world/";
	}

	$guestconfigfile .= GUEST_CONFIG_FILE;

END:
	return $guestconfigfile;
}


sub read_guestConfig
{
	my $sMyName = ( caller 0 )[3];
	#---------
	# Announce
	#---------
	my $logStr = "Subroutine $sMyName called";
	vxlog("INFO", $logStr);

	my $guestconfigfile = get_guestConfigFilePath();
	my $href = Utils::convertXMLFileToHash( $guestconfigfile );

END:
	return $href;
}


sub dump_guestConfig
{
	my $href = shift;

	my $sMyName = ( caller 0 )[3];
	#---------
	# Announce
	#---------
	my $logStr = "Subroutine $sMyName called";
	vxlog("INFO", $logStr);

	my $guestconfigfile = get_guestConfigFilePath();
	open  FH, ">$guestconfigfile";
	print FH "<GuestConfig>\n";
	foreach my $key ( keys %$href ) {
		my $val = $href -> { $key };
		print FH "<$key>$val</$key>\n";
	}
	print FH "</GuestConfig>\n";
	close FH;
}


1;
