
#
# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#
# $Id: Constants.pm,v 1.22 2014/03/24 13:30:22 sgupta2 Exp $
#

package Constants;

use base qw(Exporter);
our @EXPORT = qw(
	);


use constant {
	CONST_SUCCESS => 0,
	CONST_FAILURE => 1,
	CONST_TIMEOUT => 2,
	CONST_EXCEPTION => -1,

	CONST_YES => 0,
	CONST_NO => 1,

	CONSOLE_PROD_NAME => "Symantec High Availability Console",
	SFMH_SERVICE_NAME => "Veritas Storage Foundation Messaging Service",
	CONSOLE_TOMCAT_SEVICE_NAME => "Symantec ApplicationHA Service",
	CONSOLE_AUTH_SERVICE => "Symantec ApplicationHA Authentication Service",
	COMMUNICATION_PORT_LIST => "5634, 14152, 14153",
	CPI_PROD => "62",
	MAX_CLUSTER_ID => 65535,
	DEFAULT_ONLINE_RETRY_INTERVAL => 120,

	GUEST_CONFIG_FILE => "GuestConfig.xml",
	CONST_VCS_GLOBAL => "global",
	UI_TIMEOUT_VAR => "UITimeout",
	DISPLAY_NAME_VAR => "Name",

	# Constants used for network discovery
	# Selecting an interface used by container as LLT link should display
	# warning in UI.
	# UI should also have constants defined with same values.
	GLOBAL_ZONE => 0,
	SHARED_IP_ZONE => 1,
	EXCLUSIVE_IP_ZONE => 2,
	WPAR => 3,

	# Constants used for type of network used by zone
	ZONE_NETWORK_TYPE_NET => 1,
	ZONE_NETWORK_TYPE_ANET => 2,

	# Constant for lvs command return code when one of the VG is exported
	LVS_VG_EXPORTED => 5,
};


push( @EXPORT, qw(CONST_SUCCESS CONST_FAILURE CONST_TIMEOUT CONST_EXCEPTION CONST_YES CONST_NO
	CONSOLE_PROD_NAME SFMH_SERVICE_NAME CONSOLE_TOMCAT_SEVICE_NAME
	CONSOLE_AUTH_SERVICE COMMUNICATION_PORT_LIST
	CPI_PROD MAX_CLUSTER_ID
	GLOBAL_ZONE SHARED_IP_ZONE EXCLUSIVE_IP_ZONE
	ZONE_NETWORK_TYPE_NET ZONE_NETWORK_TYPE_ANET
	GUEST_CONFIG_FILE CONST_VCS_GLOBAL UI_TIMEOUT_VAR DISPLAY_NAME_VAR DEFAULT_ONLINE_RETRY_INTERVAL
	WPAR LVS_VG_EXPORTED) );
