
#
# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#
# $Id: MessageUtils.pm,v 1.3 2012/04/09 09:07:58 stripath Exp $
#

package MessageUtils;

use base qw(Exporter);
our @EXPORT = qw(getMessage);

use strict;
use warnings;

use Constants;
use Data::Dumper;
use PlatUtils;

sub getMessage
{
	my $sMsgFile = shift;
	my $sMsgID = shift;
	my $rParams = \@_; # all remaining params!

	my $sMsgFileFullSpec = PlatUtils::getMessageDir() . $sMsgFile;
	my $ret = CONST_FAILURE;
	my $sMsg = "";

	no strict;
	do $sMsgFileFullSpec or die "Not able to parse message file [$sMsgFile]";
	$ret = $msg { $sMsgID } -> [0] || die "incorrect message id [$sMsgID]";
	$sMsg = $msg { $sMsgID } -> [1] || die "incorrect message id [$sMsgID]";
	use strict;

	my $iID = 1;
	foreach my $param ( @$rParams ) {
		$sMsg =~ s/\%$iID/$param/g;
		$iID ++;
	}

	return ($ret, $sMsg);
}

1; # perl won't complain now!
