
#
# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#
# $Id: UnixOracleCodes.pm,v 1.5 2013/07/05 10:15:17 lpatil Exp $
#

package UnixOracleCodes;

use Exporter;
@ISA = ('Exporter');

use strict;
use warnings;

our @EXPORT = qw(
	APPCONTROL_ORACLE_DISCOVER_EMPTYXMLPROVIDED
	APPCONTROL_ORACLE_DISCOVER_EMPTYINSTANCEPROVIDED
	APPCONTROL_ORACLE_DISCOVER_NOINSTANCEPROVIDED
	APPCONTROL_ORACLE_DISCOVER_INSTANCENAMENOTPROVIDED
	APPCONTROL_ORACLE_DISCOVER_INSTANCENOTAVAILABLE
	APPCONTROL_ORACLE_DISCOVER_USERDISCOVERYFAILURE
	APPCONTROL_ORACLE_DISCOVER_NEWDISCOVERYFAILURE
	APPCONTROL_ORACLE_COMMIT_INSTANCETAGNOTPROVIDED
	APPCONTROL_ORACLE_COMMIT_INSTANCENAMENOTPROVIDED
	APPCONTROL_ORACLE_COMMIT_LISTENERTAGNOTPROVIDED
	APPCONTROL_ORACLE_COMMIT_ATTRNOTPROVIDED
	APPCONTROL_ORACLE_COMMIT_ATTRVALUENOTPROVIDED
	APPCONTROL_ORACLE_COMMIT_LISTENERVALUENOTPROVIDED
	APPCONTROL_ORACLE_COMMIT_ADDRESTYPEFAILURE
	APPCONTROL_ORACLE_COMMIT_PFILENOTPRESENT
	APPCONTROL_ORACLE_COMMIT_LISTENERDETAILSTAGNOTPROVIDED
	APPCONTROL_ORACLE_COMMIT_ORACLEHOMENOTPRESENT
	APPCONTROL_ORACLE_COMMIT_ORACLEENVFILENOTPRESENT
	APPCONTROL_ORACLE_COMMIT_LISTENERNAMENOTPROVIDED
	APPCONTROL_ORACLE_COMMIT_LISTENERHOMENOTPRESENT
	APPCONTROL_ORACLE_COMMIT_TNSADMINNOTPRESENT
	APPCONTROL_ORACLE_COMMIT_LISTENERENVFILENOTPRESENT
	APPCONTROL_ORACLE_SHALLOWDISCOVERY_OWNERNOTFOUND
	APPCONTROL_ORACLE_SHALLOWDISCOVERY_UIDMISMATCH
	APPCONTROL_ORACLE_SHALLOWDISCOVERY_HOMENOTFOUND
);


#-----------------------------
# Application  : Oracle
# Range        : 1001 -> 1200
# Platform     : Unix
#-----------------------------

use constant {
    APPCONTROL_ORACLE_DISCOVER_EMPTYXMLPROVIDED         => 1001,
    APPCONTROL_ORACLE_DISCOVER_EMPTYINSTANCEPROVIDED    => 1002,
    APPCONTROL_ORACLE_DISCOVER_NOINSTANCEPROVIDED       => 1003,
    APPCONTROL_ORACLE_DISCOVER_INSTANCENAMENOTPROVIDED  => 1004,
    APPCONTROL_ORACLE_DISCOVER_INSTANCENOTAVAILABLE     => 1005,
    APPCONTROL_ORACLE_DISCOVER_USERDISCOVERYFAILURE     => 1006,
    APPCONTROL_ORACLE_DISCOVER_NEWDISCOVERYFAILURE      => 1007,

    APPCONTROL_ORACLE_COMMIT_INSTANCETAGNOTPROVIDED     => 1051,
    APPCONTROL_ORACLE_COMMIT_INSTANCENAMENOTPROVIDED    => 1052,
    APPCONTROL_ORACLE_COMMIT_LISTENERTAGNOTPROVIDED     => 1053,
    APPCONTROL_ORACLE_COMMIT_ATTRNOTPROVIDED            => 1054,
    APPCONTROL_ORACLE_COMMIT_ATTRVALUENOTPROVIDED       => 1055,
    APPCONTROL_ORACLE_COMMIT_LISTENERVALUENOTPROVIDED   => 1056,
    APPCONTROL_ORACLE_COMMIT_ADDRESTYPEFAILURE          => 1057,
	APPCONTROL_ORACLE_COMMIT_PFILENOTPRESENT            => 1058,
	APPCONTROL_ORACLE_COMMIT_LISTENERDETAILSTAGNOTPROVIDED => 1059,
	APPCONTROL_ORACLE_COMMIT_ORACLEHOMENOTPRESENT       => 1060,
	APPCONTROL_ORACLE_COMMIT_ORACLEENVFILENOTPRESENT    => 1061,
	APPCONTROL_ORACLE_COMMIT_LISTENERNAMENOTPROVIDED    => 1062,
	APPCONTROL_ORACLE_COMMIT_LISTENERHOMENOTPRESENT     => 1063,
	APPCONTROL_ORACLE_COMMIT_TNSADMINNOTPRESENT         => 1064,
	APPCONTROL_ORACLE_COMMIT_LISTENERENVFILENOTPRESENT  => 1065,
	APPCONTROL_ORACLE_SHALLOWDISCOVERY_OWNERNOTFOUND	=> 1080,
	APPCONTROL_ORACLE_SHALLOWDISCOVERY_UIDMISMATCH		=> 1081,
	APPCONTROL_ORACLE_SHALLOWDISCOVERY_HOMENOTFOUND		=> 1082,
};


1; # so that perl doesn't complain!
