
#
# $Copyright: Copyright (c) 2014 Symantec Corporation.
# All rights reserved.
#
# THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND TRADE SECRETS OF
# SYMANTEC CORPORATION.  USE, DISCLOSURE OR REPRODUCTION IS PROHIBITED
# WITHOUT THE PRIOR EXPRESS WRITTEN PERMISSION OF SYMANTEC CORPORATION.
#
# The Licensed Software and Documentation are deemed to be commercial
# computer software as defined in FAR 12.212 and subject to restricted
# rights as defined in FAR Section 52.227-19 "Commercial Computer
# Software - Restricted Rights" and DFARS 227.7202, "Rights in
# Commercial Computer Software or Commercial Computer Software
# Documentation", as applicable, and any successor regulations. Any use,
# modification, reproduction release, performance, display or disclosure
# of the Licensed Software and Documentation by the U.S. Government
# shall be solely in accordance with the terms of this Agreement.  $
#
# $Id: UnixWebSphereMQCodes.pm,v 1.6 2013/07/05 10:15:17 lpatil Exp $
#

package UnixWebSphereMQCodes;

use Exporter;
@ISA = ('Exporter');

use strict;
use warnings;

our @EXPORT = qw(
	APPCONTROL_WEBSPHEREMQ_DISCOVER_INVALIDPARAMS
	APPCONTROL_WEBSPHEREMQ_DISCOVER_MQVERSION
	APPCONTROL_WEBSPHEREMQ_DISCOVER_NAME_TAG_MISSING
	APPCONTROL_WEBSPHEREMQ_DISCOVER_MANAGER_NOT_CONFIGURED
    	APPCONTROL_WEBSPHEREMQ_DISCOVER_NEWDISCOVERYFAILURE
    	APPCONTROL_WEBSPHEREMQ_DISCOVER_WEBSPHEREMQ_AGENTNOTINSTALLED
    	APPCONTROL_WEBSPHEREMQ_DISCOVER_ACCLIB_NOTINSTALLED

	APPCONTROL_WEBSPHEREMQ_COMMIT_RESTYPEADDFAILURE
	APPCONTROL_WEBSPHEREMQ_COMMIT_EMPTYXML
	APPCONTROL_WEBSPHEREMQ_COMMIT_EMPTY_INSTACE_DATA
	APPCONTROL_WEBSPHEREMQ_COMMIT_EMPTY_LISTENER_IP
	APPCONTROL_WEBSPHEREMQ_COMMIT_XML_MISSING_PARAM
	APPCONTROL_WEBSPHEREMQ_COMMIT_ENVFILE_NOT_PRESENT
);



#-------------------------------
# Application: WebSphereMQ 
# Range : 1701 -> 1800
# Platform: Unix
#-------------------------------

use constant {
	APPCONTROL_WEBSPHEREMQ_DISCOVER_INVALIDPARAMS => 1701,
	APPCONTROL_WEBSPHEREMQ_DISCOVER_MQVERSION => 1702,
	APPCONTROL_WEBSPHEREMQ_DISCOVER_NAME_TAG_MISSING => 1703,
	APPCONTROL_WEBSPHEREMQ_DISCOVER_MANAGER_NOT_CONFIGURED => 1704,
    	APPCONTROL_WEBSPHEREMQ_DISCOVER_NEWDISCOVERYFAILURE => 1705,
    	APPCONTROL_WEBSPHEREMQ_DISCOVER_WEBSPHEREMQ_AGENTNOTINSTALLED => 1706,
    	APPCONTROL_WEBSPHEREMQ_DISCOVER_ACCLIB_NOTINSTALLED => 1707,

	APPCONTROL_WEBSPHEREMQ_COMMIT_RESTYPEADDFAILURE => 1721,
	APPCONTROL_WEBSPHEREMQ_COMMIT_EMPTYXML => 1722,
	APPCONTROL_WEBSPHEREMQ_COMMIT_EMPTY_INSTACE_DATA => 1723,
	APPCONTROL_WEBSPHEREMQ_COMMIT_EMPTY_LISTENER_IP => 1724,
	APPCONTROL_WEBSPHEREMQ_COMMIT_XML_MISSING_PARAM => 1725,
	APPCONTROL_WEBSPHEREMQ_COMMIT_ENVFILE_NOT_PRESENT => 1726
};


1; # so that perl doesn't complain!
