use strict;

package Rel::AGPACK62::Common;
@Rel::AGPACK62::Common::ISA = qw(Rel);

sub init_common {
    my ($rel) = @_;
    $rel->{reltitle}=Msg::new("Symantec High Availability Wizards Agent Pack", 40, 1015)->{msg};
    $rel->{titlevers}='6.2';
    $rel->{pkgs}=1;
    $rel->{args_task} = [ qw(configure install uninstall) ];
    $rel->{prods}=[ qw(AGPACK62) ];
    $rel->{pkgsetprods}=[ qw(AGPACK62) ];
    $rel->{minpkgs} = $rel->{recpkgs} = $rel->{allpkgs}=[ qw(VRTSvcswiz62) ];
    $rel->{sort_upload_config_url}='https://telemetrics.symantec.com/data/uploader/uxrt60upload.conf';
    return;
}

sub cli_installer_menu {
    my ($rel) = @_;
    my ($cpic,$task);
    $cpic=Obj::cpic();
    $task=$cpic->{task};
    for my $mtask (@{$rel->{args_task}}) {
        if (Cfg::opt("$mtask")) {
            $task=$mtask;
            last;
        }
    }
    $cpic->set_task($task);
    $cpic->{task}=$task;
    Rel::cli_installer_menu($rel);
}

sub filter_args{
    my ($rel,$args_hash,$prod)=@_;
    $args_hash->{args_def} = ["require","responsefile","keyfile","hostfile","sshpath","scppath","mediapath"];
    $args_hash->{args_opt} = ["serial","rsh","installallpkgs","allpkgs","makeresponsefile","trace"];
    $args_hash->{args_task} = ["install","configure","uninstall","upgrade","precheck"];
}

sub read_licenses{ return; }
sub check_update{ return; }

sub configure_sys{
    my ($prod,$sys) =@_;
#    my ($conf,$cfg,$pid,@lines,$cf,$cfg,$edr,$msg,$had);
#    $cfg  = Obj::cfg();
#    $edr = Obj::edr();
#    $prod->vcs_restore_sys($sys);
#    $prod->set_onenode_cluster_sys($sys,1);
#    $prod->config_uuid();
    if($sys->exists("/opt/VRTSagents/ha/bin/WebLogic/wls_update.pl")){
        $sys->cmd("/opt/VRTSperl/bin/perl /opt/VRTSagents/ha/bin/WebLogic/wls_update.pl")
    }
#    if($sys->{vcsrunning} == 1){
#        $had = Obj::proc("had60");
#        $had->set_value('donotstart',0);
#    }
    return;
}

sub preremove_sys {
    my ($prod, $sys) = @_;
    my $edr = Obj::edr();
    $sys->cmd("_cmd_mkdir -p $edr->{tmpdir}/backup");
    $sys->cmd("_cmd_mkdir -p $edr->{tmpdir}/backup/config");
    $sys->cmd("_cmd_cp -f /opt/VRTSvcs/portal/admin/.xprtlaccess $edr->{tmpdir}/backup/") if $sys->exists("/opt/VRTSvcs/portal/admin/.xprtlaccess");
    $sys->cmd("_cmd_cp -f /opt/VRTSvcs/portal/admin/plugins/unix/conf/app.conf $edr->{tmpdir}/backup/")if $sys->exists("/opt/VRTSvcs/portal/admin/plugins/unix/conf/app.conf");
    $sys->cmd("_cmd_cp -f /opt/VRTSvcs/portal/admin/plugins/unix/conf/settings.conf $edr->{tmpdir}/backup/")if $sys->exists("/opt/VRTSvcs/portal/admin/plugins/unix/conf/settings.conf");
#    $sys->cmd("_cmd_cp -f /etc/sysconfig/vcs $edr->{tmpdir}/backup/")if $sys->exists("/etc/sysconfig/vcs");
    $sys->cmd("_cmd_cp -f /opt/VRTSvcs/portal/world/appcontrol_config_status.xml $edr->{tmpdir}/backup/")if $sys->exists("/opt/VRTSvcs/portal/world/appcontrol_config_status.xml");
    $sys->cmd("_cmd_cp -f /opt/VRTSvcs/portal/world/GuestConfig.xml $edr->{tmpdir}/backup/")if $sys->exists("/opt/VRTSvcs/portal/world/GuestConfig.xml");
#    $sys->cmd("_cmd_cp -rf /etc/VRTSvcs/conf/config/* $edr->{tmpdir}/backup/config/");
#    $prod->vcs_backup_sys($sys);
    return 1;
}

sub postinstall_sys {
    my ($prod, $sys) = @_;
    my $exitcode;
    my $cpic = Obj::cpic();
    my $cfg  = Obj::cfg();
    my $edr  = Obj::edr();
    my $msg;
    #my $pkg  = Obj::pkg('VRTSsfmh40', $prod->{padv});
    #$pkg->postinstall_sys($sys);
#    $sys->cmd("_cmd_cp -f $edr->{tmpdir}/backup/config/*  /etc/VRTSvcs/conf/config/");
    $sys->cmd("_cmd_cp -f $edr->{tmpdir}/backup/.xprtlaccess  /opt/VRTSvcs/portal/admin/")if $sys->exists("$edr->{tmpdir}/backup/.xprtlaccess");
    $sys->cmd("_cmd_cp -f $edr->{tmpdir}/backup/app.conf /opt/VRTSvcs/portal/admin/plugins/unix/conf/")if $sys->exists("$edr->{tmpdir}/backup/app.conf");
#    $sys->cmd("_cmd_cp -f $edr->{tmpdir}/backup/vcs /etc/sysconfig/")if $sys->exists("$edr->{tmpdir}/backup/vcs");
    $sys->cmd("_cmd_cp -f $edr->{tmpdir}/backup/appcontrol_config_status.xml /opt/VRTSvcs/portal/world/")if $sys->exists("$edr->{tmpdir}/backup/appcontrol_config_status.xml");
    $sys->cmd("_cmd_cp -f $edr->{tmpdir}/backup/GuestConfig.xml /opt/VRTSvcs/portal/world/")if $sys->exists("$edr->{tmpdir}/backup/GuestConfig.xml");

    $sys->cmd("_cmd_cp -f /etc/VRTSagents/ha/conf/Oracle/OracleTypes.cf /etc/VRTSvcs/conf/config/")if $sys->exists("/etc/VRTSagents/ha/conf/Oracle/OracleTypes.cf");
    $sys->cmd("_cmd_cp -f /etc/VRTSagents/ha/conf/Db2udb/Db2udbTypes.cf /etc/VRTSvcs/conf/config/")if $sys->exists("/etc/VRTSagents/ha/conf/Db2udb/Db2udbTypes.cf");
#    $sys->cmd("_cmd_cp -f /etc/VRTSvcs/conf/types.cf /etc/VRTSvcs/conf/config/")if $sys->exists("/etc/VRTSvcs/conf/types.cf");
#    $sys->cmd("_cmd_cp -f /etc/VRTSvcs/conf/vmwagtype.cf /etc/VRTSvcs/conf/config/")if $sys->exists("/etc/VRTSvcs/conf/vmwagtype.cf");

#    my $maincf = $sys->readfile("$edr->{tmpdir}/backup/config/main.cf");
#    if($maincf =~ /VRTSWebApp|SANVolume|Scsi3PR/){
#        $msg = Msg::new("WARNING: VRTSWebApp, SANVolume and Scsi3PR are obsoleted resource types, please remove them from main.cf on $sys->{hostname}");
#        $msg->log;
#        $sys->set_value('maincf',$msg->msg);
#    }else{
#        my $rtn = $sys->cmd("/opt/VRTSvcs/bin/hacf -verify /opt/VRTSvcs/conf/config");
#        if (EDR::cmdexit() != 0) {
#            $msg = Msg::new("WARNING: main.cf on $sys->{hostname} is not valid:\n$rtn\nFix the errors, and verify the main.cf file before running \'/opt/VRTSvcs/binhacf -verify /opt/VRTSvcs/conf/config\'");
#            $msg->log;
#            $sys->set_value('maincf',$msg->msg);
#        }
#    }
    if($sys->exists("/opt/VRTSagents/ha/bin/WebLogic/wls_update.pl")){
        $sys->cmd("/opt/VRTSperl/bin/perl /opt/VRTSagents/ha/bin/WebLogic/wls_update.pl") 
    }
    $sys->cmd("/opt/VRTSvcs/portal/admin/settings_upgrade.pl $edr->{tmpdir}/backup/settings.conf");
    $exitcode = EDR::cmdexit();
    if ($exitcode) {
        $msg = Msg::new("WARNING: settings_upgrade.pl failed with exit code $exitcode.", 40, 1016, "$exitcode");
        $msg->log;
    }
#    if ($cfg->{sso_console_ip} && $cfg->{sso_local_username} && $cfg->{sso_local_password}) {
#        $edr->{donotlog} = 1;
#        
#        $sys->cmd("/opt/VRTSvcs/portal/admin/configureSSO.pl $cfg->{sso_console_ip} $cfg->{sso_local_username} $cfg->{sso_local_password}");
#        $edr->{donotlog} = 0;
#        my $exitcode = EDR::cmdexit();
#        if ($exitcode) {
#            $msg = Msg::new("WARNING: configureSSO.pl failed with exit code $exitcode.");
#            $msg->log;
#        }
#    }

    return 1;
}

sub poststart_sys {
    my($prod,$sys) = @_;
    $sys->cmd("/opt/VRTSvcs/portal/admin/synchronize_guest_config.pl");
    my $exitcode = EDR::cmdexit();
    if ($exitcode) {
        my $msg = Msg::new("WARNING: synchronize_guest_config.pl failed with exit code $exitcode.", 40, 1017, "$exitcode");
        $msg->log;
    }
}

package Rel::AGPACK62::AIX;
@Rel::AGPACK62::AIX::ISA = qw(Rel::AGPACK62::Common);

package Rel::AGPACK62::Linux;
@Rel::AGPACK62::Linux::ISA = qw(Rel::AGPACK62::Common);

# Just status display message are commented because we are following KISS as different no. of status messages on
# different plats create unnecessary complexity for EDR
sub platvers_sys {
    my ($rel,$sys) = @_;
    my ($patchlevel,$xen_supp,$msg,$rpm_dir,$kret,$ksles,$padv,$kstring,$cpic,@f,$distro,@pkg_files,$pkg,$prod);
    my ($ivers,$localsys,$mediapath,$tmpdir,$vmware,$testVMware,$vmware_script,@vmware_tool_scripts,$state,$platvers);
    my ($service,@vmtoolsd_scripts,$check_vmware_tools_command,$start_vmware_tools_command,$not_running);
    $sys=Obj::sys($sys) unless (ref($sys) eq 'Sys');
    return '' if ($sys->{stop_checks});
    return '' if (Cfg::opt('ignorechecks'));

    $cpic=Obj::cpic();
    $prod=$sys->prod($cpic->{prod});
    $padv=$sys->padv($sys->{padv});
    $distro=$padv->distro_sys($sys);
    $kstring=$sys->cmd('_cmd_uname -r');
    $kstring =~ /\-(\d+)/m;
    $kret = $1;
    $ksles=$1 if ($kstring =~ /\-\d+\.(\d+)/mx);
    @f=split(/\W/m,$kstring);

    $localsys = Obj::localsys();
    $mediapath=EDR::get('mediapath');
    $tmpdir = EDR::tmpdir();
    $vmware = 0;
    $testVMware = "$mediapath/scripts/bin/testVMware";

    # Check ESX/KVM for AppHA, if vmware tools not installed or not running, quit installer
    # For VCS in VMware environment, if vmware-tools not installed or not running, give warning
    #e3515708:there is no need to check vmware-tools for uninstall
    if ($prod->{prod} =~ /ApplicationHA|VCS/ && !Cfg::opt('uninstall')) {
        $testVMware = "/opt/VRTSsfmh/bin/testVMware" unless ($localsys->exists($testVMware));
        if ($localsys->exists($testVMware)) {
            $localsys->copy_to_sys($sys,$testVMware,"$tmpdir/");
            $sys->cmd("$tmpdir/testVMware");
            if (EDR::cmdexit() == 0) {
                # it's VMware
                $sys->set_value('vmtype','vmware');
                $vmware = 1;
                @vmtoolsd_scripts=('/usr/lib/systemd/system/vmtoolsd.service');
                for my $script (@vmtoolsd_scripts) {
                    if ($sys->exists($script)) {
                        $service=EDRu::basename($script);
                        $check_vmware_tools_command="/usr/bin/systemctl is-active $service 2>/dev/null";
                        $start_vmware_tools_command="systemctl enable $service 2>/dev/null; systemctl start $service 2>/dev/null";
                        $not_running="inactive";
                        last;
                    }
                }
                # If vmtoolsd not exists
                if (!$service) {
                    @vmware_tool_scripts=('/etc/init.d/vmware-tools','/etc/vmware-tools/services.sh','/etc/init.d/vmware-tools-services');
                    for my $script (@vmware_tool_scripts) {
                        if($sys->exists($script)) {
                            $check_vmware_tools_command="$script status 2>/dev/null";
                            $start_vmware_tools_command="$script start 2>/dev/null";
                            $not_running="not";
                            last;
                        }
                    }
                }
                if ($check_vmware_tools_command && $start_vmware_tools_command && $not_running) {
                    $state = $sys->cmd("$check_vmware_tools_command");
                    # vmware-tools not running
                    if ($state =~ /$not_running/i) {
                        # try to start it
                        $sys->cmd("$start_vmware_tools_command");
                        sleep 5;
                        $state = $sys->cmd("$check_vmware_tools_command");
                        if ($state =~ /$not_running/i) {
                            $msg = Msg::new("vmware-tools is not running on $sys->{sys}, installer attempted to start it but failed. Please start the tool before installing $prod->{abbr}", 40, 1018, "$sys->{sys}", "$prod->{abbr}");
                            if ($prod->{prod} =~ /ApplicationHA/) {
                                $sys->push_error($msg);
                                return '';
                            } else {
                                $sys->push_warning($msg);
                            }
                        }
                    }
                } else {
                    $msg = Msg::new("The installer did not detect vmware-tools installed on $sys->{sys}, install vmware-tools and start it before you perform any task on $prod->{abbr}", 40, 1019, "$sys->{sys}", "$prod->{abbr}");
                    if ($prod->{prod} =~ /ApplicationHA/) {
                        $sys->push_error($msg);
                        return '';
                    } else {
                        $sys->push_warning($msg);
                    }
                }
            }
        } else {
            if ($prod->{prod} =~ /ApplicationHA/) {
                $msg = Msg::new("The installer cannot detect if you are running under VMware environment on $sys->{sys}, it is required to install $prod->{prod} under the VMware or the KVM environment.", 40, 1020, "$sys->{sys}", "$prod->{prod}");
                $sys->push_warning($msg);
            }
            # if installer do NOT have testVMware utility, print a warning but pass the check
            $vmware = 1;
        }

        # AppHA only support to be installed on VMware VM, and KVM on RHEL,
        # do not support to be installed on physical systems, or KVM on OEL/SuSE
        if (!$vmware && $prod->{prod} =~ /ApplicationHA/) {
            if ($sys->{virtual_type} =~ /KVM/i) {
                if ($distro ne 'RHEL') {
                    $msg=Msg::new("$prod->{prod} for KVM does not support to be installed to OEL and SuSE.", 40, 1021, "$prod->{prod}");
                    $sys->push_error($msg);
                    return '';
                }
            } else {
                $msg=Msg::new("The installer cannot detect if you are running under KVM environment on $sys->{sys}, it is required to install $prod->{prod} under the VMware or the KVM environment.", 40, 1022, "$sys->{sys}", "$prod->{prod}");
                $sys->push_warning($msg);
            }
        }
    }

    if ($distro eq 'RHEL') {
        $padv->{cmd}{selinuxenabled}='/usr/sbin/selinuxenabled';

        if ($kstring =~ /el7/m) {
            if ($kret < 123) { # RHEL7 GA check
                $platvers = join "\n\t", grep { /RHEL7/ } @{$rel->{platreqs}};
                $msg=Msg::new("Kernel Release $kstring found on $sys->{sys} is not supported. The following Kernel Release are supported to install this product:\n\t$platvers", 40, 1023, "$kstring", "$sys->{sys}", "$platvers");
                $sys->push_error($msg);
                return '';
            }
        } elsif ($kstring =~ /el6/m) {
            if ($kret < 279) { # RHEL6u3 check
                #3503984:add uek and compatible kernel
                $platvers = join "\n\t", grep { /RHEL6|OEL6/ and $_ !~ /uek/ } @{$rel->{platreqs}};
                if ($prod->{prod} eq 'VCS') {
                    $platvers .= "\n\t" . join "\n\t", grep { /uek/ } @{$rel->{platreqs}};
                }
                $msg=Msg::new("Kernel Release $kstring found on $sys->{sys} is not supported. The following Kernel Release are supported to install this product:\n\t$platvers", 40, 1023, "$kstring", "$sys->{sys}", "$platvers");
                $sys->push_error($msg);
                return '';
            }
        } else {
            #e3512211
            $msg=Msg::new("Kernel Release $kstring found on $sys->{sys} is not supported, please use a distribution kernel.", 40, 1024, "$kstring", "$sys->{sys}");
            $sys->push_error($msg);
            return '';
        }

    } elsif ($distro eq 'SLES') {
        $padv->{cmd}{selinuxenabled}='/usr/bin/selinuxenabld';

        # In 6.2, SLES 11 SP2, SP3 are supported,

        $patchlevel=$sys->{patchlevel};

        if ($f[0] >= 3) {
            # sles11sp2/sp3 is using kernel 3.x
            if ($patchlevel != 2 && $patchlevel != 3) {
                $msg=Msg::new("SuSE 11 SP2 or SP3 are the recommended platforms for the release on $sys->{sys}.", 40, 1025, "$sys->{sys}");
                $sys->push_warning($msg);
                return '';
            }
        } else {
            $msg=Msg::new("Kernel Release $kstring found on $sys->{sys} is not supported. Only Kernel Release 3.0.13(SLES11 SP2) or 3.0.76(SLES11 SP3) are supported on SuSE11. Upgrade the OS to SLES11 SP2 or SP3 in order to install this product", 40, 1026, "$kstring", "$sys->{sys}");
            $sys->push_error($msg);
            return '';
        }
    } elsif ($distro eq 'ESX') {
        # FIX: Figure this check out later for VMWARE. (Get versions of ESX supported and edit)
        if ($kret < 34) {
            $msg=Msg::new("Kernel Release $kstring is not supported on $sys->{sys}. Only Kernel Release 2.6.9-34.EL or higher is supported on RHEL.", 40, 1027, "$kstring", "$sys->{sys}");
            $sys->push_error($msg);
            return '';
        }
    } elsif ($distro eq 'OL') {
        # FIX: Figure this check out later for Oracle Linux.
        $padv->{cmd}{selinuxenabled}='/usr/sbin/selinuxenabled';
        if ($kstring =~ /el6/m) {
            # OL6 check
            #On OL6.4/6.5(uek2 kernel), install/upgrade non-VCS is not allowed
            if ($prod->{prod} ne 'VCS' && $kstring =~ /uek/m) {
                $msg = Msg::new("$prod->{prod} is not supported on OL6.x UEK2 kernel", 40, 1028, "$prod->{prod}");
                $sys->push_error($msg);
                return '';
            }

            if ($kstring =~ /uek/m) {
                if ($kstring !~ /^2\.6\.39-400.*el6uek/m) {
                    $msg=Msg::new("Kernel Release $kstring found on $sys->{sys} is not supported. Only Unbreakable Enterprise Kernel 2.6.39-400 is supported on Oracle Linux 6.4 and Oracle Linux 6.5. you may configure the operating system to boot with this kernel instead.", 40, 1029, "$kstring", "$sys->{sys}");
                    $sys->push_error($msg);
                    return '';
                }

                #Upgrade path check for UEK2
                #Only supported from 6.0.4/6.0.5 upgrade to 6.2
                $ivers = $prod->version_sys($sys);
                if ($ivers && Cfg::opt(qw(upgrade))
                    && $ivers !~ /^6\.0\.[45]/) {
                    $msg = Msg::new("The upgrade path from $ivers to 6.2 is not supported on OL6.x UEK2 kernel", 40, 1030, "$ivers");
                    $sys->push_error($msg);
                    return '';
                }
            }

            if ($kstring !~ /uek/m && $kstring !~ /^2\.6\.32/m) {
                $msg=Msg::new("Kernel Release $kstring found on $sys->{sys} is not supported. Only Red Hat compatible Kernel Release 2.6.32 is supported on Oracle Linux 6.4 and Oracle Linux 6.5. you may configure the operating system to boot with this kernel instead.", 40, 1031, "$kstring", "$sys->{sys}");
                $sys->push_error($msg);
                return '';
            }

            #this branch won't work in 6.2 release, its existed for futher MR release.
            if ($kstring !~ /uek/m && $cpic->{base_path_release}) {
                if ($kstring =~ /^2\.6\.32-[12].*/m) {
                    #On OL6.1~6.3(Redhat Compatible Kernel), install/upgrade 6.0.1/6.0.2+6.0.5 should print warnning message
                    if ($cpic->{base_path_release} ne '6.0.4') {
                        $msg = Msg::new("System should not be booted into UEK Kernel mode since $prod->{prod} is not supported on OL 6.1 to 6.3 UEK kernel", 40, 1032, "$prod->{prod}");
                        $sys->push_warning($msg);
                    }    
                    #On OL6.4/6.5(Redhat Compatible Kernel),install/upgrade non-VCS should print warning message
                } elsif ($prod->{prod} ne 'VCS' && $kstring =~ /^2\.6\.32-[34].*/m) {
                    $msg = Msg::new("System should not be booted into UEK Kernel mode since $prod->{prod} is not supported on UEK kernel", 40, 1033, "$prod->{prod}");
                    $sys->push_warning($msg);
                }    
            }
        } elsif ($kstring =~ /el7/m) {
            # OL7 check
            if ($kstring =~ /uek/m) {
                $msg=Msg::new("Kernel Release $kstring found on $sys->{sys} is not supported.", 40, 1034, "$kstring", "$sys->{sys}");
                $sys->push_error($msg);
                return '';
            }
        } else {
            $msg=Msg::new("Kernel Release $kstring found on $sys->{sys} is not supported.", 40, 1034, "$kstring", "$sys->{sys}");
            $sys->push_error($msg);
            return '';
        }
    } else {
        $msg=Msg::new("Distribution is not recognized as SuSE or Red Hat on $sys->{sys}", 40, 1035, "$sys->{sys}");
        $sys->push_error($msg);
        return '';
    }

    # XEN is not supported in 6.0
    if ($kstring =~ /xen/m) {
        $msg=Msg::new("Kernel Release on $sys->{sys} is $kstring. Xen kernel is not supported in this release.", 40, 1036, "$sys->{sys}", "$kstring");
        $sys->push_error($msg);
        return '';
    }

    # Distribution match on all systems removed as any to many support is added
    for my $pkgi (@{$rel->allpkgs}) {
        $pkg=$sys->pkg($pkgi);
        push(@pkg_files,$pkg->{file});
    }

    if (@pkg_files) {
       return 1 if ($cpic->{fromdisk});
       $rpm_dir=$rel->pkgs_patches_dir('pkgpath');;
       if ((($sys->{arch}=~/686/m)||($sys->{arch}=~/586/m)) && (grep {/86_64/m} @pkg_files)) {
            $msg=Msg::new("System $sys->{sys} is architecture $sys->{arch} and x86_64 rpms were found in $rpm_dir. Check that you are installing from the correct DVD. Some rpms will not install correctly on this system.", 40, 1037, "$sys->{sys}", "$sys->{arch}", "$rpm_dir");
            $sys->push_error($msg);
            return '';
        }

       if ((($distro eq 'RHEL') && (grep {/SLES/} @pkg_files))
            ||  (($distro eq 'SLES') && (grep {/RHEL/} @pkg_files))) {
            $msg=Msg::new("System $sys->{sys} is distribution $distro and incompatible rpms were found in $rpm_dir. Check that you are installing from the correct DVD. Some rpms will not install correctly on this system.", 40, 1038, "$sys->{sys}", "$distro", "$rpm_dir");
            $sys->push_error($msg);
            return '';
       }
    }

    # No need for selinux checks any more
    return 1;
}

sub adjust_pkg_sequence {
        my ($rel, $pkgarray) = @_;
        return $pkgarray;
}

package Rel::AGPACK62::RHEL6x8664;
@Rel::AGPACK62::RHEL6x8664::ISA = qw(Rel::AGPACK62::Linux);

package Rel::AGPACK62::RHEL7x8664;
@Rel::AGPACK62::RHEL7x8664::ISA = qw(Rel::AGPACK62::Linux);

package Rel::AGPACK62::SLES11x8664;
@Rel::AGPACK62::SLES11x8664::ISA = qw(Rel::AGPACK62::Linux);

package Rel::AGPACK62::SLES11ppc64;
@Rel::AGPACK62::SLES11ppc64::ISA = qw(Rel::AGPACK62::Linux);

package Rel::AGPACK62::SunOS;
@Rel::AGPACK62::SunOS::ISA = qw(Rel::AGPACK62::Common);

package Rel::AGPACK62::SolSparc;
@Rel::AGPACK62::SolSparc::ISA = qw(Rel::AGPACK62::SunOS);

package Rel::AGPACK62::Solx64;
@Rel::AGPACK62::Solx64::ISA = qw(Rel::AGPACK62::SunOS);

package CPIP;
sub cpip_resume_subs {
	[qw( Prod::AGPACK62::Common::cli_prestart_config_questions)]
}


1;
